#-----------------------------------------------
# Software Synthesis: Sound Design and Programming 
# Eduardo Reck Miranda - Focal Press
#-----------------------------------------------
# Example 4: vowel sequence
#-----------------------------------------------
Create Speaker... Robovox Female 2
Create Artword... phon 4.0
#-----------------------------------------------
# Supply lung energy
#-----------------------------------------------
Set target... 0.00  0.1  Lungs
Set target... 0.03  0.0  Lungs
Set target... 4.0    0.0  Lungs
#-----------------------------------------------
# Control glottis
#-----------------------------------------------
# Glottal closure
Set target... 0.0  0.5  Interarytenoid
Set target... 4.0  0.5  Interarytenoid
#
# Adduct vocal folds
Set target... 0.0  0.0  Cricothyroid
Set target... 4.0  0.0  Cricothyroid
#-----------------------------------------------
# Close velopharyngeal port
#-----------------------------------------------
Set target... 0.0  1.0  LevatorPalatini
Set target... 4.0  1.0  LevatorPalatini
#-----------------------------------------------
# Tongue control
#-----------------------------------------------
# Pull back and downwards
Set target... 0.0        0.45     Hyoglossus
Set target... 0.95      0.45     Hyoglossus
Set target... 1.0        0.6       Hyoglossus
Set target... 2.3        0.6       Hyoglossus
Set target... 2.35    -0.2      Hyoglossus
Set target... 3.10    -0.2      Hyoglossus
Set target... 3.15     0.45     Hyoglossus
Set target... 4.0       0.45     Hyoglossus
#
# Pull back and upwards
Set target... 0.0        0.0      Styloglossus
Set target... 0.95      0.0      Styloglossus
Set target... 1.0       -0.3     Styloglossus
Set target... 2.3       -0.3     Styloglossus
Set target... 2.35      0.2      Styloglossus
Set target... 3.10      0.2      Styloglossus
Set target... 3.15     0.0       Styloglossus
Set target... 4.0       0.0       Styloglossus
#
# Pull towards jaw and palate
Set target... 0.0      0.0    Genioglossus
Set target... 0.95    0.0    Genioglossus
Set target... 1.0      0.0    Genioglossus
Set target... 2.3      0.0    Genioglossus
Set target... 2.35    0.5    Genioglossus
Set target... 3.10    0.5    Genioglossus
Set target... 3.15    0.0    Genioglossus
Set target... 4.0      0.0    Genioglossus
#
# Rises the tongue body
Set target... 0.0         0.0     Mylohyoid
Set target... 0.95       0.0     Mylohyoid
Set target... 1.0         0.0     Mylohyoid
Set target... 2.3         0.0     Mylohyoid
Set target... 2.35    -0.2     Mylohyoid
Set target... 3.10    -0.2     Mylohyoid
Set target... 3.15      0.0     Mylohyoid
Set target... 4.0        0.0     Mylohyoid
#-----------------------------------------------
# Mouth control
#-----------------------------------------------
# Lips rounding
Set target... 0.0        0.0    OrbicularisOris
Set target... 0.95      0.0    OrbicularisOris
Set target... 1.0        0.6    OrbicularisOris
Set target... 2.3        0.6    OrbicularisOris
Set target... 2.35   -0.2    OrbicularisOris
Set target... 3.10   -0.2    OrbicularisOris
Set target... 3.15     0.0     OrbicularisOris
Set target... 4.0       0.0     OrbicularisOris
#
# Jaw opening
Set target... 0.0      -0.45    Masseter
Set target... 0.95    -0.45    Masseter
Set target... 1.0      -0.2      Masseter
Set target... 2.3      -0.2      Masseter
Set target... 2.35    -0.16    Masseter
Set target... 3.10    -0.16    Masseter
Set target... 3.15    -0.45    Masseter
Set target... 4.0      -0.45    Masseter
#
#-----------------------------------------------
# Synthesise
#-----------------------------------------------
select Artword phon
plus Speaker Robovox
To Sound... 22050 25    0 0 0    0 0 0   0 0 0
#-----------------------------------------------

